<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <!-- Bootstrap core CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous" />
    <link href="../css/cwrc.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="../css/favicon.ico" type="image/x-icon" />
    <link rel="icon" href="../css/favicon.ico" type="image/x-icon" />
    <title>Sample Queries</title>
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="/">
            <img src="http://sparql.cwrc.ca/images/cwrclogo-vert-white.png" height="30" class="align-top" alt="CWRC Logo" /> CWRC Linked Data</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item"><a class="nav-link" href="/">Home</a></li>
                <li class="nav-item"><a class="nav-link" href="/sparql">SPARQL Queries</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Preambles
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="../cwrc-preamble-EN.html">CWRC Ontology</a>
                        <a class="dropdown-item" href="../genre-preamble-EN.html">Genre Ontology</a>
                        <a class="dropdown-item" href="../ii-preamble-EN.html">II Ontology</a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Specifications
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="../cwrc.html">CWRC Ontology</a>
                        <a class="dropdown-item" href="../genre.html">Genre Ontology</a>
                        <a class="dropdown-item" href="../ii.html">II Ontology</a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Documentation
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="our-dataset.html">Our Dataset</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="sparql-query-guide.html">SPARQL Query Guide</a>
                        <a class="dropdown-item" href="intro-to-sparql.html">Intro to SPARQL</a>
                        <a class="dropdown-item" href="query-modifiers.html">Query Modifiers</a>
                        <a class="dropdown-item" href="sample-queries.html">Sample Queries</a>
                        <a class="dropdown-item" href="load-into-huviz.html">Load into HuViz</a>
                    </div>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="NavbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        About
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="cwrc.html">CWRC</a>
                        <a class="dropdown-item" href="linked-data.html">Linked Data</a>
                        <a class="dropdown-item" href="../our-team-EN.html">Our Team</a>
                        <a class="dropdown-item" href="https://github.com/cwrc/ontology">Github</a>
                    </div>
                </li>
            </ul>
            <span class="navbar-text">The Ontology of the Canadian Writing Research Collaboratory</span>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="row">
            <nav class="col-xl-2 col-lg-3 col-md-12 d-none d-lg-block bg-light sidebar">
                <div class="sidebar-sticky">
                    <div class="sidebar-heading justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
                        <span>Table of Contents</span>
                        <a class="d-flex align-items-center text-muted" href="#"></a>
                        <div id="toc">
                            <!-- Table of Contents -->
                        </div>
                    </div>
                </div>
            </nav>
            <main role="main" class="col-xl-10 col-lg-9 col-md-12 ml-sm-auto pt-3 px-4" data-spy="scroll" data-target="#toc">
                <h1>Biography</h1>
                <h2>Provided Queries</h2>
                <p>This section contains links to pre-written SPARQL queries.</p>
                <p><a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0A%0ASELECT+%3Fname+%3Fsnippet+WHERE+%7B+%0A++++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B%0A++++++++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++++++++oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++++++++%3Fperson+rdfs%3Alabel+%22Fiennes%2C+Celia%22.%0A++++%09%3Fobj+rdfs%3Alabel+%3Fname.%0A++++%7D%0A++++%0A++++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A++++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasFather.%0A%7D+&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Celia+Fiennes's+Father+&headers=%7B%7D&outputFormat=table" target="_blank">This query</a> starts with listing the prefixes of all the ontologies to be used. The variables that are being returned are the object that we're searching for, in this case Fiennes's father, and the snippet from which this information is derived from. This query also shows the graph
                    that is being searched and specifies the context, which is listed after rdf:type. Outside of the graph section,
                    the query searches for the snippet of text that the data is stored as. The last line is what we're searching for; it
                    allows us to specify the relationship between the subject and the object.
                </p>
                <p>The name of the person whose information is being searched is in bold. In this case, the person is
                    Celia Fiennes. If you would like to search for another person, a name can be chosen from
                    <a href="http://orlando.cambridge.org" target="_blank">http://orlando.cambridge.org</a></p>
                <p>The other data in bold is the predicate which connects the subject and object. There are a variety of predicated in the <a href="http://sparql.cwrc.ca/ontologies/cwrc.html">CWRC Ontology</a>, any of which may be used to construct a query.</p>
                <pre>
                    <code>PREFIX cwrc: &lt;http://sparql.cwrc.ca/ontologies/cwrc#&gt;
PREFIX rdf: &lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt;
PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
PREFIX data: &lt;http://cwrc.ca/cwrcdata/&gt;
PREFIX skos: &lt;http://www.w3.org/2004/02/skos/core#&gt;
PREFIX oa: &lt;http://www.w3.org/ns/oa#&gt;

SELECT ?name ?snippet WHERE { 
    GRAPH &lt;http://sparql.cwrc.ca/db/BiographyV2Beta&gt; {
        ?context ?pred ?obj;
            cwrc:contextFocus ?person;
            oa:hasTarget ?target;
            rdf:type cwrc:FamilyContext.
        ?person rdfs:label <strong>&quot;Fiennes, Celia&quot;</strong>.
    &#x9;?obj rdfs:label ?name.
    }
    
    ?target oa:hasSelector/oa:refinedBy/oa:exact ?snippet.
    ?pred cwrc:subjectCentricPredicate <strong>cwrc:hasFather</strong>.
}                    </code>
                </pre>
                
                <h3>Family & Friends & Intimate Relationships</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0A%0ASELECT+%3Fname+%3Fsnippet+WHERE+%7B+%0A++++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B%0A++++++++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++++++++oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++++++++%3Fperson+rdfs%3Alabel+%22Fiennes%2C+Celia%22.%0A++++%09%3Fobj+rdfs%3Alabel+%3Fname.%0A++++%7D%0A++++%0A++++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A++++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasFather.%0A%7D+&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Celia+Fiennes's+Father+&headers=%7B%7D&outputFormat=table" target="_blank">Who was the father of an author?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0A%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasMother.%0A++%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A++%09%3Fperson+rdfs%3Alabel+%22Steele%2C+Anne%22.%0A++++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++%3Fobj+rdfs%3Alabel+%3Fname.%0A++%0A++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A%7D.%0A++%0A++%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Anne+Steele's+Mother&headers=%7B%7D&outputFormat=table" target="_blank">Who was the mother of an author?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasBrother.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%09%3Fperson+rdfs%3Alabel+%22Whitney%2C+Isabella%22.%0A++++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++%09%3Fobj+rdfs%3Alabel+%3Fname.%0A++++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A%7D.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Isabella+Whitney's+Brother&headers=%7B%7D&outputFormat=table" target="_blank">Who was the brother of an author?</a>
                </p>
                <p>Notice the queries above only differ slightly. They each specify a different person and have a different predicate following the <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#subjectCentricPredicate">cwrc:subjectCentricPredicate</a>, but are otherwise identical. </p>
                <p>
                    The predicate following 'cwrc:' can be replaced with many others which are listed on the CWRC website. Some examples include:</p>
                <ul>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasAunt">hasAunt</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasUncle">hasUncle</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasGrandFather">hasGrandFather</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasGrandMother">hasGrandMother</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasGrandDaughter">hasGrandDaughter</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasGrandSon">hasGrandSon</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasNephew">hasNephew</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasStepSister">hasStepSister</a></li>
                    <li><a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasStepBrother">hasStepBrother</a></li>
                </ul>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+rdfs%3AsubPropertyOf+*cwrc%3Arelative.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%09%3Fperson+rdfs%3Alabel+%22Steele%2C+Anne%22.%0A++++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++%0A++++%3Fobj+rdfs%3Alabel+%3Fname.%0A++++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A%7D.%0A%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Anne+Steele's+Family+Members&headers=%7B%7D&outputFormat=table" target="_blank">Who were the family members of a particular author?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet++where+%7B+%0A++%3Fpred+rdfs%3AsubPropertyOf+*cwrc%3Asibling.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%09%3Fperson+rdfs%3Alabel+%22Burney%2C+Frances%22.%0A++++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AFamilyContext.%0A++++%3Fobj+rdfs%3Alabel+%3Fname.%0A++++%3Ftarget+oa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.++%0A%7D.%0A%0A%7D+%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Frances+Burney's+Siblings&headers=%7B%7D&outputFormat=table" target="_blank">Who were the siblings of a particular author?</a>
                </p>
                <h3>Location</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+(COUNT(%3Fperson)+AS+%3FnumberOfPeople)+WHERE+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Chttp%3A%2F%2Fsws.geonames.org%2F2643743%2F%3E%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A%7D.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3Ainhabits.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many authors lived in London?</a>
                </p>
                <p>You will notice something different about the query above. Most of the other queries had the following construction under GRAPH: </p>
                <pre>
                    <code>?context ?pred ?obj</code>
                </pre>
                <p>This query had specified the object instead of leaving it as a variable.
                    The object was taken from the GeoNames ontology. If you would like to specify a different location, search for a place on <a href="https://www.geonames.org/v3/" target="_blank">https://www.geonames.org/v3/</a>and replace the number in the URI to reflect your desired location.
                </p>
                <pre>
                    <code>?context ?pred &lt;http://sws.geonames.org/2643743/&gt;</code>
                </pre>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A++%3Fperson+rdfs%3Alabel+%22Clifford%2C+Lady+Anne%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AtravelsTo.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">Where did a particular author travel to?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A++%3Fperson+rdfs%3Alabel+%22Melvill%2C+Elizabeth%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3Avisits.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">What places has an author visited?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A++%3Fperson+rdfs%3Alabel+%22Philips%2C+Katherine%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AmigratesTo.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">Did a particular author immigrate anywhere?</a>
                </p>
                <!--         
                <h3>Cultural Formation</h3>
                <p>Q</p>
                <p>Q</p>
                <br/> -->
                <h3>Occupation</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fobj+rdfs%3Alabel+%3Foccupation.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasOccupation.%0A++FILTER+regex(%3Foccupation%2C+%22teacher%22%2C+%22i%22+)+%0A%7D+%0AGROUP+BY+%3Fobj%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many authors were also teachers?</a>
                </p>
                <p>Notice how the query above returned a small number of people who were also teachers. There were certainly more than 45 teachers, so why was the result so small? This has to do with the specifics of your query. In the data teachers are not only grouped by <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasOccupation">hasOccupation</a> but also by <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasPaidOccupation">hasPaidOccupation</a>, <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasVolunteerOccupation">hasVolunteerOccupation</a>, etc. </p>
                <p>Using <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasPaidOccupation">hasPaidOccupation</a> and <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasVolunteerOccupation">hasVolunteerOccupation</a> alone would look like the following: </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fobj+rdfs%3Alabel+%3Foccupation.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasPaidOccupation.%0A++FILTER+regex(%3Foccupation%2C+%22teacher%22%2C+%22i%22+)+%0A%7D+%0AGROUP+BY+%3Fobj%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many authors were paid teachers</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fobj+rdfs%3Alabel+%3Foccupation.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasVolunteerOccupation.%0A++FILTER+regex(%3Foccupation%2C+%22teacher%22%2C+%22i%22+)+%0A%7D+%0AGROUP+BY+%3Fobj%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many authors were volunteer teachers</a>
                </p>
                <p>So you can see that the <a href="http://sparql.cwrc.ca/ontologies/cwrc.html#hasOccupation">hasOccupation</a> predicate can be replaced by others to modify queries. However, all of these predicates are also subproperties of the predicate Occupation. You can search for these subproperties by using the rdfs:subPropertyOf* constraint to return results for every author who was a teacher. The query below is an example of this:</p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++%3Fpred+rdfs%3AsubPropertyOf*+cwrc%3Aoccupation.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fobj+rdfs%3Alabel+%3Foccupation.%0A%23++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasOccupation.%0A++FILTER+regex(%3Foccupation%2C+%22teacher%22%2C+%22i%22+)+%0A%7D+%0AGROUP+BY+%3Fobj%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many authors were also teachers? (Using subproperties)</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasOccupation.%0A%7D+%0AGROUP+BY+%3Fobj%0A%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">How many people held each job?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+(COUNT(%3Fobj)+AS+%3FnumPerJob)+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3AOccupationContext.%0A%7D.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasOccupation.%0A%7D+%0AGROUP+BY+%3Fobj%0AORDER+BY+DESC(xsd%3Ainteger(%3FnumPerJob))+LIMIT+1%0A%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">What was the most popular job?</a>
                </p>
                <h3>Education</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3FcontextFocus+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+%3FcontextFocus.%0A++%3Fperson+rdfs%3Alabel+%22Blamire%2C+Susanna%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3ArelatesByEducationTo.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">Where did a particular author go to school?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3FcontextFocus+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+%3FcontextFocus.%0A++%3Fperson+rdfs%3Alabel+%22Collier%2C+Jane%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3Astudies.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">What subjects were studied by a particular author?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname++%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3Aattends.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fperson+rdfs%3Alabel+%22Otway%2C+Thomas%22.%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet.%0A++%3Fobj+rdfs%3Alabel+%3Fname.%0A%7D.%0A++%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Thomas+Otway+School+Attended&headers=%7B%7D&outputFormat=table" target="_blank">What were the schools attended by a particular author?</a>
                </p>
                <h3>Death</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ADeathContext.%0A++%3Fperson+rdfs%3Alabel+%22Donne%2C+John%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasDeathDate.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">When did a particular author die?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fcause+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasCauseOfDeath.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3ADeathContext.%0A++%3Fperson+rdfs%3Alabel+%22Austen%2C+Jane%22.%0A++%7D.%0A++%3Fobj+rdfs%3Alabel+%3Fcause%0A%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Jane+Austen+Cause+of+Death&headers=%7B%7D&outputFormat=table" target="_blank">What was the cause of death of a particular author?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A++%3Fperson+rdfs%3Alabel+%22Lister%2C+Anne%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasDeathPlace.%0A%7D+%0A%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">Where did a particular author die?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ADeathContext.%0A++%3Fperson+rdfs%3Alabel+%22Whitrow%2C+Joan%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasBurialPlace.%0A%7D+&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query+1&headers=%7B%7D&outputFormat=table" target="_blank">Where was a particular author buried?</a>
                </p>
                <h3>Politics</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Flabel+%3Fsnippet+where+%7B+%0A++%3Fp+rdfs%3AsubPropertyOf*+cwrc%3AhasPoliticalAffiliation.%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+%3Fp.%0A++%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3APoliticalContext.%0A++%3Fperson+rdfs%3Alabel+%22Woolf%2C+Virginia%22.%0A%0A%7D.%0A+++%3Fobj%09rdfs%3Alabel+%3Flabel.%0A++filter(lang(%3Flabel)%3D%22en%22)%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Virginia+Woolf+Political+Affiliations&headers=%7B%7D&outputFormat=table" target="_blank">What was a particular person’s political affiliation?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Flabel+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasPoliticalMembershipIn.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3APoliticalContext.%0A++%3Fperson+rdfs%3Alabel+%22Lessing%2C+Doris%22.%0A++%3Fobj+rdfs%3Alabel+%3Flabel+%0A%7D.%0A++%0A%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Doris+Lessing+Political+Organizations&headers=%7B%7D&outputFormat=table" target="_blank">What political organizations was a particular author associated with?</a>
                </p>
                <h3>Birth</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ABirthContext.%0A++%3Fperson+rdfs%3Alabel+%22Sappho%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A+%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasBirthDate.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">When was a particular author born?</a>
                </p>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fobj+%3Fsnippet+where+%7B+%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget+%3Ftarget%3B%0A++++++++++++rdf%3Atype+cwrc%3ASpatialContext.%0A++%3Fperson+rdfs%3Alabel+%22Boccaccio%2C+Giovanni%22.%0A%7D.%0A++%3Ftarget+oa%3AhasSelector+%3Fxpath_selector.%0A++%3Fxpath_selector+oa%3ArefinedBy+%3Ftext_selector.%0A++%3Ftext_selector++oa%3Aexact+%3Fsnippet.%0A+%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AhasBirthPlace.%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Query&headers=%7B%7D&outputFormat=table" target="_blank">Where was a particular author born?</a>
                </p>
                <!-- <p>How many women writers were born in London in 1755?</p> -->
                <h3>Health</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AassociatedViaHealthWith.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3AWomensHealthContext.%0A++%3Fperson+rdfs%3Alabel+%22Wharton%2C+Anne%22.%0A++++optional+%7B%0A++++%3Fobj+rdfs%3Alabel+%3Fname%0A++++%7D%0A%7D.%0A%0A%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Anne+Wharton+Women's+Health&headers=%7B%7D&outputFormat=table" target="_blank">Associated Via Health With</a>
                </p>
                <h3>Violence</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3AassociatedByViolenceWith.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3AViolenceContext.%0A++%3Fperson+rdfs%3Alabel+%22Marlowe%2C+Christopher%22.+%0A+++optional+%7B%0A++++%3Fobj+rdfs%3Alabel+%3Fname%0A++++%7D%0A%7D.%0A++%0A%7D+&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Christopher+Marlowe+Violence+Context&headers=%7B%7D&outputFormat=table" target="_blank">Associated By Violence With</a>
                </p>
                <h3>Wealth</h3>
                <p>
                    <a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A++%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3ArelatesEconomicallyTo.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred+%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3AEconomicContext.%0A++%3Fperson+rdfs%3Alabel+%22Hoby%2C+Margaret%22.+%0A+++optional+%7B%0A++++%3Fobj+rdfs%3Alabel+%3Fname%0A++++%7D%0A%7D.%0A++%0A%7D+&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Margaret+Hoby+Economic+Context&headers=%7B%7D&outputFormat=table" target="_blank">Relates Economically To</a>
                </p>
                <!-- <p>Who was the richest person in 1767></p>
               <p>What profession made the most money?</p> -->
                <h3>Leisure and society</h3>
                <p><a href="http://sparql.cwrc.ca/sparql#query=PREFIX+cwrc%3A+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fontologies%2Fcwrc%23%3E%0APREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+data%3A+%3Chttp%3A%2F%2Fcwrc.ca%2Fcwrcdata%2F%3E%0APREFIX+skos%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2004%2F02%2Fskos%2Fcore%23%3E%0APREFIX+oa%3A+%3Chttp%3A%2F%2Fwww.w3.org%2Fns%2Foa%23%3E%0ASELECT+%3Fname+%3Fsnippet+where+%7B+%0A+%3Fpred+cwrc%3AsubjectCentricPredicate+cwrc%3ArelatesByLeisureTo.%0A++GRAPH+%3Chttp%3A%2F%2Fsparql.cwrc.ca%2Fdb%2FBiographyV2Beta%3E+%7B+%0A+++%3Fcontext+%3Fpred++%3Fobj%3B%0A++++++++++++cwrc%3AcontextFocus+%3Fperson%3B%0A++++++%09%09oa%3AhasTarget%2Foa%3AhasSelector%2Foa%3ArefinedBy%2Foa%3Aexact+%3Fsnippet%3B%0A++++++++++++rdf%3Atype+cwrc%3ALeisureContext.%0A++%3Fperson+rdfs%3Alabel+%22Ephelia%22.%0A+++optional+%7B%0A++++%3Fobj+rdfs%3Alabel+%3Flabel%0A++++%7D%0A+++%0A++++bind(coalesce(%3Flabel%2C+%3Fobj)+as+%3Fname)%0A%7D.%0A%0A%7D+%0A%0A&contentTypeConstruct=text%2Fturtle&contentTypeSelect=application%2Fsparql-results%2Bjson&endpoint=http%3A%2F%2Fsparql.cwrc.ca%2Fsparql&requestMethod=POST&tabTitle=Ephelia+Leisure+context&headers=%7B%7D&outputFormat=table" target="_blank">What hobbies did a person enjoy?</a></p>
                </main>
              </div>
            </div>
            
                <!-- <p>What is the most popular leisure activity?</p> -->
            <!-- </main>
        </div>
    </div> -->
    <!-- Bootstrap core JavaScript
      ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh3U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.bundle.min.js" integrity="sha384-feJI7QwhOS+hwpX2zkaeJQjeiwlhOP+SdQDqhgvvo1DsjtiSQByFdThsxO669S2D" crossorigin="anonymous"></script>
    <script src="../js/toc.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>
    <script>
    window.onload = function() {
        var options = {
            selector: 'h2, h3, h4, h5',
            scope: 'main'
        };

        var container = document.querySelector('#toc');
        var toc = initTOC(options);
        container.appendChild(toc);
    };
    </script>
</body>

</html>